Name:           maven-one-plugin
Version:        1.2
Release:        8%{?dist}
Summary:        Plugin provides some integration tasks with Maven 1.x

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-one-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-one-plugin-1.2/
# tar jcf maven-one-plugin-1.2.tar.bz2 maven-one-plugin-1.2/
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-jpp-depmap.xml

Patch0:         %{name}-compat.patch

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: maven
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shared-model-converter
BuildRequires: jpackage-utils
Requires: ant
Requires: maven
Requires: maven-shared-model-converter
Requires: jpackage-utils
Requires: java

Obsoletes: maven2-plugin-one <= 0:2.0.8
Provides: maven2-plugin-one = 1:%{version}-%{release}

%description
This plugin provides some integration tasks with Maven 1.x:
* Helps you to switch your project from Maven 1 to Maven 2 by
converting your project.xml to a pom.xml
* Provides a packaging mechanism for Maven 1.x plugins,
building them using Maven 2.0
* Provides a hook for installation that will copy built artifacts
into a local or remote Maven 1.x repository, for concurrent development with
Maven 1.x projects

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild \
        -Dmaven.local.depmap.file=%{SOURCE1} \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar


# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Dec  2 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2-7
- Packaging fixes
- Use new macros
- Fix build with maven-compat patch

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.2-6
- Build with maven 3.x.
- Guidelines fixes.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Yong Yang <yyang@redhat.com> 1.2-4
- Update jpp-depmap for maven221

* Fri Jun 04 2010 Yong Yang <yyang@redhat.com> 1.2-3
- Fix comment, typo, and correct changelog version

* Thu Jun 03 2010 Yong Yang <yyang@redhat.com> 1.2-2
- Format description
- Change permission of jpp-depmap.xml to 0644
- Fix obsoletes and provides
- Remove maven.test.skip due to no tests
- Improve summary text
- use bz2 for source tar ball

* Tue Jun 01 2010 Yong Yang <yyang@redhat.com> 1.2-1
- Initial package.
